using System;
using System.IO;

public class Program
{
  public static void Main(String[] args)
  {
    if(args.Length < 1)
    {
      Console.WriteLine("Wywoanie programu: Program katalog");
      return;
    }
    
    String katalog = args[0];
    DirectoryInfo di;
    
    try{
      di = new DirectoryInfo(katalog);
    }
    catch(ArgumentException)
    {
      Console.WriteLine(
        "Nazwa {0} zawiera nieprawidowe znaki.", katalog);
      return;
    }

    if(di.Exists)
    {
      Console.WriteLine("Katalog {0} ju istnieje", katalog);
      return;
    }

    try
    {
      di.Create();
    }
    catch(IOException)
    {
      Console.WriteLine(
        "Katalog {0} nie moe by utworzony.", katalog);
      return;
    }
    Console.WriteLine("Katalog {0} zosta utworzony.", katalog);
  }
}
